Đến nội dung


Hình ảnh
- - - - -

Chuyển text sẵn có thành ATT


  • Please log in to reply
15 replies to this topic

#1 almodeus

almodeus

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 February 2011 - 01:42 PM

có cách nào chuyển text sẵn có sang ATT không các bạn, có thể viết lisp giúp mình ko
  • 0

#2 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 13 February 2011 - 02:15 PM

có cách nào chuyển text sẵn có sang ATT không các bạn, có thể viết lisp giúp mình ko

http://www.mediafire.com/?buh6hcr6aob3lhm
bạn download xuống dùng ap vào dùng lệnh att
:=================
Sub Att()
On Error Resume Next
Dim Att As AcadAttribute
Dim ObjText As AcadText
ThisDrawing.Utility.GetEntity ObjText, basePnt, vbCr & "Chon Text"
ThisDrawing.ModelSpace.AddAttribute ObjText.Height, acAttributeModeVerify, ObjText.TextString, ObjText.InsertionPoint, ObjText.TextString, ObjText.TextString
ObjText.Delete
End Sub
:=================
  • 0

#3 almodeus

almodeus

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 February 2011 - 02:50 PM

ko dung duoc ban oi tét lai zum minh nhe...
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 13 February 2011 - 08:44 PM

ko dung duoc ban oi tét lai zum minh nhe...

Search là thấy ngay cho bạn đây ^^

;free lisp from cadviet.com posted by ketxu
(defun c:t2att (/ ss i en ed)
(while (not ss)
(princ "\nChon text de chuyen thanh ATT :")
(setq ss (ssget (list (cons 0 "TEXT")
(if (getvar "CTAB")
(cons 410 (getvar "CTAB"))
(cons 67 (- 1 (getvar "TILEMODE"))))))))

(setq i (sslength ss))
(while (not (minusp (setq i (1- i))))
(setq en (ssname ss i)
ed (entget en))
(if (wcmatch (cdr (assoc 1 ed)) "* *")
(alert "\nDay ky tu chua khoang trong, khong thuc hien duoc")
(progn
(entmake (list (cons 0 "ATTDEF")
(assoc 8 ed)
(assoc 10 ed)
(assoc 11 ed)
(assoc 7 ed)
(assoc 40 ed)
(assoc 41 ed)
(assoc 50 ed)
(assoc 51 ed)
(cons 70 0)
(assoc 71 ed)
(assoc 72 ed)
(cons 74 (cdr (assoc 73 ed)))
(assoc 210 ed)
(cons 1 "")
(cons 2 (cdr (assoc 1 ed)))
(cons 3 (cdr (assoc 1 ed)))
(if (assoc 6 ed) (assoc 6 ed)'(6 . "BYLAYER"))
(if (assoc 39 ed) (assoc 39 ed)'(39 . 0))
(if (assoc 62 ed) (assoc 62 ed)'(62 . 256))))
(entdel en))))
(redraw)
(prin1))

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 15 February 2011 - 02:23 PM

ko dung duoc ban oi tét lai zum minh nhe...

Bạn tải xuống và áp cả 2 phần vào rồi chạy đó là VBA ko phải Lisp
  • 0

#6 envirtech2002

envirtech2002

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 09 July 2013 - 10:31 AM

Mình có cái lisp ngược lại, chuyển att thành text, bác nào có cần không nhỉ?


  • 0
thered

#7 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 04 January 2014 - 03:28 PM

mình cần cái lisp chuyển đối tượng att thành text. nhìu bản vẽ bên kiến trúc chuyển sang k hỉu sao họ để tên trục là att mà cũng k phải block nên khi mình xref các att k hiện lên.........bác nào có lisp chuyển các đối tượng att này thành text làm ơn share cho mình với nha!!!!!!!!chân thành cảm ơn


  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 04 January 2014 - 03:40 PM

Của thằng Tây, bạn dùng nhé.

(defun C:A2T (/ eset1 blkcnt en enlist vl space)
  (setq eset1  (ssget (list (cons 0 "ATTDEF")))
blkcnt 0)
  (if eset1
    (while (<= blkcnt (- (sslength eset1) 1))
      (setq en    (ssname eset1 blkcnt)
   enlist (entget en)
   space  (cdr (assoc 67 enlist)))
      (setq vl (list
(cons 0 "TEXT")
(cons 100 "AcDbEntity")
(cons 100 "AcDbText")
(assoc 7 enlist)
(assoc 8 enlist)
(assoc 10 enlist)
(assoc 40 enlist)
(cond ((assoc 62 enlist))
      ((cons 62 256)))
(cons 1 (cdr (assoc 2 enlist)))
(if (= space nil)
  (cons 67 0)
  (cons 67 space))))
      (entdel en)
      (entmake vl)
      (setq blkcnt (1+ blkcnt)))))
 

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 05 January 2014 - 03:58 PM

Thanks pác Hà nhìu nhé.hihi


  • 0

#10 minhtanx2

minhtanx2

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 May 2016 - 08:16 AM

Lisp của anh Hà,e gọi lệnh thì bị báo lỗi
a2t Unknown command "A2T".  Press F1 for help.


  • 0

Khi bạn tán tỉnh một cô gái đẹp, một giờ đồng hồ chẳng qua như một giây. Khi bạn ngồi trên một hòn than nóng bỏng, một giây như thể một giờ. Đó chính là tính tương đối. (Albert Einstein)


#11 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 13 May 2016 - 08:25 AM

Có lẽ do forum bị lỗi. Bạn down lại nhé.

(defun C:A2T (/ eset1 blkcnt en enlist vl space)
  (setq eset1  (ssget (list (cons 0 "ATTDEF")))
blkcnt 0)
  (if eset1
    (while (<= blkcnt (- (sslength eset1) 1))
      (setq en    (ssname eset1 blkcnt)
   enlist (entget en)
   space  (cdr (assoc 67 enlist)))
      (setq vl (list
(cons 0 "TEXT")
(cons 100 "AcDbEntity")
(cons 100 "AcDbText")
(assoc 7 enlist)
(assoc 8 enlist)
(assoc 10 enlist)
(assoc 40 enlist)
(cond ((assoc 62 enlist))
      ((cons 62 256)))
(cons 1 (cdr (assoc 2 enlist)))
(if (= space nil)
  (cons 67 0)
  (cons 67 space))))
      (entdel en)
      (entmake vl)
      (setq blkcnt (1+ blkcnt)))))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#12 minhtanx2

minhtanx2

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 May 2016 - 10:07 AM

E vẫn không gọi đc lệnh. Nó báo  có lỗi gì đó bác ạ

Command: 43 APPLOAD a2t.lsp successfully loaded.
Command: ; error: syntax error


  • 0

Khi bạn tán tỉnh một cô gái đẹp, một giờ đồng hồ chẳng qua như một giây. Khi bạn ngồi trên một hòn than nóng bỏng, một giây như thể một giờ. Đó chính là tính tương đối. (Albert Einstein)


#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 13 May 2016 - 10:21 AM

Em copy file về, đừng down. Forum dạo này hay lỗi down load.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#14 minhtanx2

minhtanx2

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 May 2016 - 10:35 AM

Em copy về và đã load thành công, lệnh chạy tốt. E cảm ơn a nhiều ạ. 1 like 


  • 0

Khi bạn tán tỉnh một cô gái đẹp, một giờ đồng hồ chẳng qua như một giây. Khi bạn ngồi trên một hòn than nóng bỏng, một giây như thể một giờ. Đó chính là tính tương đối. (Albert Einstein)


#15 giaoducviet

giaoducviet

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2016 - 10:55 AM

sao mình copy về mà không dùng được nhỉ, báo lỗi


  • 0

Du học Nhật Bản uy tín đảm bảo có việc làm ngay sau khi sang


#16 vuonghung018

vuonghung018

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 September 2016 - 04:42 PM

Mình có cái lisp ngược lại, chuyển att thành text, bác nào có cần không nhỉ?

có bạn gửi vào email: hungdhnt2004@gmail.com hộ mình nhé


  • 0